/*
 * Created by Diab, Dokter, Hatbauer, Rocnik
 *
 * ivis Group 1 - Summer Term 2013
 *
**/

/// <reference path="../FDNode.ts" />
module FD {
    export class ScatterPlotNode {
        private description: string;
        private xValue: number;
        private yValue: number;

        constructor(name: string, x: number, y: number) {
            this.description = name;
            this.xValue = x;
            this.yValue = y;
        }

        public getX(): number {
            return this.xValue;
        }

        public getY(): number {
            return this.yValue;
        }

        public getDescription(): string {
            return this.description;
        }

    }
}